public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Hans de Graaff" <graaff@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-ruby/rack-session/
Date: Fri,  6 Oct 2023 09:37:56 +0000 (UTC)	[thread overview]
Message-ID: <1696585073.7b689b83635b716d17e70bac6178c067b1d394b0.graaff@gentoo> (raw)

commit:     7b689b83635b716d17e70bac6178c067b1d394b0
Author:     Hans de Graaff <graaff <AT> gentoo <DOT> org>
AuthorDate: Fri Oct  6 09:37:44 2023 +0000
Commit:     Hans de Graaff <graaff <AT> gentoo <DOT> org>
CommitDate: Fri Oct  6 09:37:53 2023 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=7b689b83

dev-ruby/rack-session: add 2.0.0

Signed-off-by: Hans de Graaff <graaff <AT> gentoo.org>

 dev-ruby/rack-session/Manifest                  |  1 +
 dev-ruby/rack-session/rack-session-2.0.0.ebuild | 31 +++++++++++++++++++++++++
 2 files changed, 32 insertions(+)

diff --git a/dev-ruby/rack-session/Manifest b/dev-ruby/rack-session/Manifest
index 91a73607ec8f..0b6be764241e 100644
--- a/dev-ruby/rack-session/Manifest
+++ b/dev-ruby/rack-session/Manifest
@@ -1 +1,2 @@
 DIST rack-session-1.0.1.tar.gz 3120 BLAKE2B a36fefd25da9bbab26a58419782baf7606171fcdf9d033b3abb52ee225f5bd3f8b52d18c11947cceae8f00f278c832412b3babb8c2d7088f2a6554dcb0293689 SHA512 fa8362689cd49d55e24c82699eca9a45dd408b5e8978f6aee11f3f107e8d0a1f36ad319f4dd92e4fe5fd83e985382a43c41a353e9366d03b41f28e826d65483f
+DIST rack-session-2.0.0.tar.gz 23964 BLAKE2B 457210c3588c31d2d0d9251e6b12fe1f606545c4593c9be50a42110f99f7d15840553cac7e35653f2ef86d88f881a0a91537948bfca5b34e3d507cef8134c52b SHA512 8975a85845fa4dbdf22c10793fb2bb1a69aed3242c70c45b1d436448243e65ad77ecbfb17c8f2ef6f780b81ef480f8a46c5623e36dacc95401cd59a1510748f8

diff --git a/dev-ruby/rack-session/rack-session-2.0.0.ebuild b/dev-ruby/rack-session/rack-session-2.0.0.ebuild
new file mode 100644
index 000000000000..c05efde0d682
--- /dev/null
+++ b/dev-ruby/rack-session/rack-session-2.0.0.ebuild
@@ -0,0 +1,31 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+USE_RUBY="ruby31 ruby32"
+
+RUBY_FAKEGEM_EXTRADOC="readme.md"
+RUBY_FAKEGEM_GEMSPEC="rack-session.gemspec"
+
+inherit ruby-fakegem
+
+DESCRIPTION="A session implementation for Rack"
+HOMEPAGE="https://github.com/rack/rack-session"
+SRC_URI="https://github.com/rack/rack-session/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="$(ver_cut 1)"
+KEYWORDS="~amd64"
+IUSE=""
+
+ruby_add_rdepend ">=dev-ruby/rack-3.0.0"
+
+ruby_add_bdepend "test? (
+	dev-ruby/minitest:5
+	dev-ruby/minitest-global_expectations
+)"
+
+all_ruby_prepare() {
+	sed -e 's:_relative ": "./:' \
+		-i ${RUBY_FAKEGEM_GEMSPEC} || die
+}


             reply	other threads:[~2023-10-06  9:37 UTC|newest]

Thread overview: 14+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2023-10-06  9:37 Hans de Graaff [this message]
  -- strict thread matches above, loose matches on Subject: below --
2024-10-06 13:52 [gentoo-commits] repo/gentoo:master commit in: dev-ruby/rack-session/ Arthur Zamarin
2024-10-06 13:30 Jakov Smolić
2024-10-06 11:21 Sam James
2024-09-01  9:17 Hans de Graaff
2024-07-10  8:42 Jakov Smolić
2024-07-10  5:09 Sam James
2024-07-10  5:09 Sam James
2024-07-10  0:52 Sam James
2024-07-10  0:52 Sam James
2024-07-10  0:52 Sam James
2023-12-29  7:40 Hans de Graaff
2023-10-12 11:46 Hans de Graaff
2023-10-06  8:49 Hans de Graaff

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1696585073.7b689b83635b716d17e70bac6178c067b1d394b0.graaff@gentoo \
    --to=graaff@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox